/*
 * @Author       : ChenJie
 * @Date         : 2022-01-23 13:45:09
 * @Version      : V3.0
 * @LastEditors  : ChenJie
 * @LastEditTime : 2022-02-23 17:02:37
 * @Description  : file content
 * @FilePath     : \S32K146_4G\src\AppGlobalVar.h
 */
/*
 * AppGlobal.h
 *Ӧòȫֱ
 *  Created on: 2022119
 *      Author: QiXiang_CHENJIE
 */
#ifndef APPGLOBALVAR_H_
#define APPGLOBALVAR_H_

#define APP_UART0_ENABLE //ƽĿ
//#define APP_CAN_ENABLE //ؿĿ

#include "hal_adapter.h"

#define defaultSn "SPFPFL264S223H000"

#define HWVERSION 0x0001
#define BLSWVERSION 0x00000001
#define DRVSWVERSION 0x00000001
#define APPSWVERSION 0x00000003
#define BMS_MANUFACTURE 0xFF
#define BMS_INFO 0xFF
#define DATA_MODULE_TYPE 0x02
//*ȫֱ*//

extern uint8 TcpbattSN[17];
extern uint8 VIN[17];
extern volatile uint32 TimerCounter;
typedef struct
{
    uint8 RealLen;
    uint8 *DataPtr;
} QueueDataTrans_Type;
/*GPS*/
extern QueueHandle_t GpsDataQueueHandle;
extern sint16 xyzData[3];
/*Hal_Can*/
extern uint8 CanIf_u8TxConfirmCnt;
extern boolean CanIf_bTxFlag;
extern uint8 CanIf_u8RxIndicationCnt;
extern boolean CanIf_bRxFlag;
extern QueueHandle_t CanRecvQueueHandle;

/*±ΪTCPر*/
extern uint8 CSQValue;
extern sint8 SocketId;
extern sint8 RegChkRet;
extern char WebSiteIp[15];
extern const char WebSiteName[];
extern const uint16 WebSitePort;
extern char ImeiNum[15];
extern char IccidNum[20];

typedef struct _AppConfigType
{
	bool appSaveFlg;
	bool eolFlg;
	uint8 deviceSn[17];
	uint8 re[20];
} AppConfigBody;
extern AppConfigBody AppConfigInfo;

/*±ΪЭر*/
#define BMS_CELLNUM 120
#define BMS_TEMPNUM 80
typedef struct _AppDataType
{
    uint8 BattCellCount; //ģ
    uint8 BattTempCount; //¶ȸ
} AppDataBody;
extern AppDataBody AppDataInfo;
extern uint16 avrgCellVol;              //ƽѹ
extern uint16 battCellU[BMS_CELLNUM];   //صѹ
extern uint16 battI;                    // BMStcpϴ
extern uint16 bmsHwVersion;
extern uint32 bmsSwVersion;
extern uint16 battPackVol;              // bmsѹ

extern uint16 maxCellVol;               //ѹ
extern uint16 minCellVol;               //Сѹ
//extern uint16 socd_pct_vcuSoc;          // soc(tcpϴ0.1)
//extern uint16 sohd_pct_bcuSoh;          // soh(tcpϴ0.1)
extern uint32 battBalanceoInfo;
extern uint32 battProtectState;         // bms״̬
extern uint32 battWarningState;         // bms澯״̬
extern uint8 AvgBattTemp;               //ƽ¶
extern uint8 battCellTemp[BMS_TEMPNUM]; //¶
extern uint8 Battdesigncap;             //ذ
extern uint8 battHeatEnableState;       // bmsʹ״̬
extern uint8 battMOSSwitchState;        // bms mos״̬
extern uint8 battSOC;                   // bmssoc
extern uint8 battSOH;                   // bmssoh
extern uint8 battWorkState;             // bms״̬
extern uint8 BmsOtherTemp;              // BMS¶
extern uint8 maxCellTemp;               //¶
extern uint8 minCellTemp;               //С¶
extern uint8 OtherTemp;                 //ͨѶģ¶
extern uint8 battHeatState ;
extern uint8 battFanState ;
extern uint8 battRelayState ;
extern uint8 battConverState ;
extern uint8 battSeparateEnable ;
extern uint8 battSeparateEnableState ;
extern uint16 ErrorArray[5];


extern uint32 BattTempR[4];
#endif /* APPGLOBALVAR_H_ */
